SDL_GetPenName(3)

NAME
SDL_GetPenName - Retrieves a human-readable description for a SDL_PenID .

HEADER FILE
Defined in SDL3/SDL_pen.h

SYNOPSIS
#include "SDL3/SDL.h"

const char* SDL_GetPenName(SDL_PenID instance_id);

FUNCTION PARAMETERS

instance_id
    The pen to query.

RETURN VALUE
Returns A string that contains the name of the pen, intended for human consumption. The string might or might not be localised, depending on platform settings. It is not guaranteed to be unique; use SDL_GetPenGUID () for (best-effort) unique identifiers. The pointer is managed by the SDL pen subsystem and must not be deallocated. The pointer remains valid until SDL is shut down. Returns NULL on error (cf. SDL_GetError ())

AVAILABILITY
This function is available since SDL 3.0.0.